Package jakarta.annotation

## Annotation Type ManagedBean

    @Target(TYPE)
    @Retention(RUNTIME)
    @Deprecated(since="2.1.1",
                forRemoval=true)
    public @interface ManagedBean

Deprecated, for removal: This API element is subject to removal in a future version.
This will be removed no earlier than Jakarta EE 11. Use CDI beans instead.
Identifies a POJO as a managed bean.

Since:
  Common Annotations 1.1

### Optional Element Summary

Optional Elements
`java.lang.String` `value` Deprecated, for removal: This API element is subject to removal in a future version.

### Element Detail

#### value

    java.lang.String value

Deprecated, for removal: This API element is subject to removal in a future version.

Returns:
  Name of the managed bean

Default:
  ""